$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.196.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.196.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'D9E4392B206B5191C872DF21D7C4ABBC2ACE2CAC1FBAF19AE740C1F739FBE210'
  checksumType = 'sha256'
  checksum64 = 'D9E4392B206B5191C872DF21D7C4ABBC2ACE2CAC1FBAF19AE740C1F739FBE210'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.32.196-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
